.header-button {
  display: flex;
  flex-direction: row;
  align-items: center;
  margin-left: 1rem;
  height: 28px;
  margin-top: 2px;
}
.header-segmented {
  margin-left: 0.5rem;
}
.share-popover-header {
  display: flex;
  flex: 1;
  flex-direction: row;
  justify-content: space-between;
}

.page-preview-ctn {
  display: flex;
  flex-direction: column;
  flex: 1;
}
.page-preview {
  display: flex;
  flex: 1;
  flex-direction: column;
}
.page-preview-iframe-ctn {
  display: flex;
  flex: 1;
  justify-content: center;
  align-items: center;
  overflow: auto;
}
.page-preview-iframe {
  display: flex;
  flex: 1;
  flex-direction: column;
  height: 100%;

  &--tablet,
  &--mobile {
    flex: unset;
    box-shadow: 0 0 1rem rgba(0, 0, 0, 0.2);
    max-height: calc(100% - 2rem);
    margin-top: 1rem;
  }
  &--tablet {
    width: 768px;
    max-height: 1024px;
  }
  &--mobile {
    width: 420px;
    max-height: 932px;
  }
}
.page-preview-toolbar {
  display: flex;
  justify-content: flex-end;
  position: fixed;
  bottom: 0;
  right: 0;
  padding: 0 1rem 1rem 0;
}

.page-preview-toolbar-btn {
  margin: 0 0.5rem;
  font-size: 1.6rem;
}
.page-preview-toolbar-btn-active {
  color: var(--pr-accent-color);
}

.page-builder-ctn {
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  top: 0;
  background-color: var(--pr-main-bg-color);
  transition: transform 0.2s ease-in;
  transform: translate3d(100%, 0, 0);
  max-height: 100%;
  overflow: auto;
}
.page-builder-ctn--visible {
  transform: translate3d(0, 0, 0);
}

.color-scheme-switch {
  &-label {
    margin-right: 1rem;
  }
  &-exemple {
    font-size: 0.9rem;
    margin-top: 1rem;
  }
}
